2019-12-07 11:56 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002337FSSCPSEXPspublic2010-12-09 18:30
ReporterTopAce 
Assigned ToFUBAR-BDHR 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version3.6.13 
Summary0002337: lock-rotating-subsystem affects more than it should
DescriptionThe lock-rotating-subsystem SEXP affects an entire class, not just the single ship that's set in the mission event. Tried it with Mjolnirs, Levs, and Anukets.

See the attached test mission. Note that there's an Anuket as well, but only the Mjolnirs' subsystem rotation stops.
Additional InformationTried 3.6.13 nightlies, see this thread http://www.hard-light.net/forums/index.php?topic=72610.0 for fs log.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012460

Goober5000 (administrator)

Last edited: 2010-11-13 21:16

Eugh. This has actually been around ever since the sexps were first added, except nobody noticed it because it was only used for a Knossos or an installation or something where only one ship appeared in a mission.

There will need to be flags added to the ship-specific model instances in order to change the rotation as-needed. (This includes the sexps that change the rotation speed too.)

~0012464

FUBAR-BDHR (developer)

I can probably take a look at that in a few days unless someone beats me to it. Sound's like the data is either not being copied to the ship or it is and the code is looking at the model or ship_info when it shouldn't.

I think I've seen this before as well but as I was experimenting with things you shouldn't do or already broke the code I never bothered to check why.

~0012465

Echelon9 (developer)

Also noted that if you disable the Mjolnirs' via lock-rotating-subsystem and then restart the mission using the "Esc" menu, they will be disabled when the mission restarts.

~0012466

FUBAR-BDHR (developer)

Patch: http://fubar5.fubar.org/fs2netd/mantis2337-rotationfix.patch
Test mission: http://fubar5.fubar.org/fs2netd/0rotate.fs2
SSE2 builds: http://fubar5.fubar.org/fs2netd/FS2_Open_2337fix.rar

~0012467

Echelon9 (developer)

Looks good.

~0012468

FUBAR-BDHR (developer)

But how's it sound?

Goob brought up that question and I had the music on too loud to notice.

~0012469

Echelon9 (developer)

As Goob thought, rotation sounds are still active after locking....

~0012470

FUBAR-BDHR (developer)

Yea figured it was a bit too easy. I'll take another look tomorrow. I just hope it's not tied into the ship_subsys->submodel_info_1 area. If so I have a feeling things are going to get really messy trying to figure out what should come from the model, ship_info and from the ship.

~0012471

FUBAR-BDHR (developer)

I can not reproduce the sound issue. Works just fine. I updated the test mission with the ships farther apart and you now have to hit L to trigger the events. You will also need to modify the Faustus table entry with

$RotationSnd: 185

on the science01a-solar1 subsystem.

~0012530

FUBAR-BDHR (developer)

Fixed in revision 6820
+Notes

-Issue History
Date Modified Username Field Change
2010-11-13 10:11 TopAce New Issue
2010-11-13 10:11 TopAce File Added: lockrotsubsystem.fs2
2010-11-13 21:16 Goober5000 Note Added: 0012460
2010-11-13 21:16 Goober5000 Note Edited: 0012460
2010-11-13 23:00 FUBAR-BDHR Note Added: 0012464
2010-11-14 04:35 Echelon9 Note Added: 0012465
2010-11-15 21:23 FUBAR-BDHR Status new => assigned
2010-11-15 21:23 FUBAR-BDHR Assigned To => FUBAR-BDHR
2010-11-15 23:29 FUBAR-BDHR Note Added: 0012466
2010-11-16 03:23 Echelon9 Note Added: 0012467
2010-11-16 03:26 FUBAR-BDHR Note Added: 0012468
2010-11-16 03:33 Echelon9 Note Added: 0012469
2010-11-16 04:07 FUBAR-BDHR Note Added: 0012470
2010-11-17 05:09 FUBAR-BDHR Note Added: 0012471
2010-12-09 18:30 FUBAR-BDHR Note Added: 0012530
2010-12-09 18:30 FUBAR-BDHR Status assigned => resolved
2010-12-09 18:30 FUBAR-BDHR Fixed in Version => 3.6.13
2010-12-09 18:30 FUBAR-BDHR Resolution open => fixed
+Issue History